##### GENERAL STUFF #####

%define libname %mklibname exif 12
%define __libtoolize    /bin/true

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.6.21
Release:	%mkrel 1
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/
Source:		http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-%{version}.tar.xz
Patch0:		libexif-0.6.13-pkgconfig-fix.patch
Provides:	libexif
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	doxygen
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%{name} < %version

##### SUB-PACKAGES #####

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %libname
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif
Group:		Graphics

%description -n %libname

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{libname}-devel
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libexif-devel
Group:		Graphics

%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
%setup -q
%patch0 -p2 -b .includedir



##### BUILD #####

%build
libtoolize --copy --force; aclocal -I auto-m4 -I m4m; autoconf; automake

%configure2_5x

%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%post -n %{libname} 
/sbin/ldconfig

%postun -n %{libname} 
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT



##### libexif
%files -n %{libname}
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog README
%{_libdir}/*.so.*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

##### libexif-devel
%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_docdir}/libexif

##### CHANGELOG #####

%changelog
* Mon Sep 24 2012 Neal <nealbrks0 at gmail dot com> 0.6.21-1pclos2012
- process

* Sun Sep 23 2012 Ken <lxgator at gmail.com> 0.6.21-1pclos2012
- 0.6.21

* Fri Dec 25 2009 <texstar at gmail.com> 0.6.18-2pclos2010
- rebuild

* Mon Nov 09 2009 pcserver <pcserver at hush.com> 0.6.18-1pclos2010
- gcc update
- 0.6.18

* Mon Aug 31 2009 pcserver <pcserver at hush.com> 06.17-1pclos2009
- 0.6.17

* Mon Oct 08 2007 Texstar <texstar at gmail.com> 0.6.16-1pclos2007
- 0.6.16 needed by gimp 2.4rc3

* Sat Jun 10 2007 Texstar <texstar at gmail.com> 0.6.13-4pclos2007
- security update

